<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 15/5/2018
 * Time: 1:11 AM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        $id = $Valido->retornarIdToken($_REQUEST['token']);
        include '../comun/mensajeOk.php';
        $usuario  = R::load('usuario', $id);
        $condominio = R::load('condominio', $usuario->condominioId);
        $usuario['condominio_id']=$condominio->nombre;
        echo json_encode($usuario);
    }else{
        include '../comun/mensajeSesionInvalida.php';
    }
}else{
    include '../comun/mensajeFaltanCampos.php';
}

$seeToken  = R::load('usuario', $id);
